0

Pfsense 2.3.2 New install but it gives the following error when the squid and squidguard installation.

Number of packages to be installed: 4

The process will require 10 MiB more space. [1/4] Installing squid-3.5.19... ===> Creating groups. Using existing group 'squid'. ===> Creating users Using existing user 'squid'. install: not found pkg: PRE-INSTALL script failed Failed

0

I upgraded mine this morning and noticed that there was a problem with Squid (which was already installed), I tried to reinstall the package and got

[1/4] Extracting squid-3.5.19_1: .......... done pkg: Fail to rename /usr/local/etc/squid/errors/.zh-cn.dJ0xHpPRgMyd -> /usr/local/etc/squid/errors/zh-cn: Is a directory Failed

So I tried to remove and reinstall only to get the following error while uninstalling

ERROR: Package pfSense-pkg-squid is not installed Failed

At this point, we should file a bug on pFsense portal/forum.

  • Ok ignore my previous reply, I should have read the release notes first – sebastienvg Jul 26 '16 at 18:26
  • I have resolved my issue ref: redmine.pfsense.org/issues/6643 – Kishor Kumar Yadav Jul 26 '16 at 18:29
  • Please post your solution here (you can post answers to your own questions and after a delay you can accept them). That will help future people with the same problem. – Hennes Aug 12 '16 at 14:23
0

According to https://forum.pfsense.org/index.php?topic=120921.0 the fix for this is

rm -rf /usr/local/etc/squid/

I can confirm it for upgrade from 2.1.5-RELEASE (amd64) to 2.3.2-RELEASE-p1 (amd64) and then using package manager to install Squid Proxy. After removing the directory above I could install the package. Only needed to clear the cache via Services -> Squid Proxy -> Local Cache -> Clear Disk Cache NOW to enable the service.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.